%define	module	PAR
%define	name	perl-%{module}
%define	version	0.959
%define	release	%mkrel 1

Summary:	Perl Archive Toolkit
Version:	%{version}
Name:		%{name}
Release:	%{release}
License:	Artistic
Group:		Development/Perl
URL:		http://par.perl.org/
Source0:	%{module}-%{version}.tar.bz2
Patch0:		perl-PAR-fix-interp.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl(Archive::Zip) >= 1
BuildRequires:	perl(Compress::Zlib)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Module::ScanDeps) >= 0.69
BuildRequires:	perl(PAR::Dist) >= 0.21
BuildRequires:	perl-devel
BuildRequires:	perl-Module-Signature
BuildRequires:	perl(Archive::Zip) >= 1
BuildRequires:	perl(Compress::Zlib)
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Module::ScanDeps) >= 0.45
BuildRequires:	perl(PAR::Dist) >= 0.13
BuildRequires:  perl(Getopt::ArgvFile)

%description
PAR is a toolkit to use perl scripts and modules stored inside compressed
.par files.

For bundling prerequisite modules of scripts into a PAR file (ala
PerlApp, Perl2exe, or 'perlcc that works'), see "perldoc pp".
For running ".par" files directly, see "perldoc parl".
To generate/execute self-contained perl scripts, see "perldoc par.pl".

%prep
%setup -q -n %{module}-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%__make

%check
# don't run signature test since this package was patched
rm -f SIGNATURE
yes | (%__make test)

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog contrib/ README TODO
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/*/*



%changelog
* Sun Mar 04 2007 Olivier Thauvin <nanardon@mandriva.org> 0.959-1mdv2007.0
+ Revision: 132087
- 0.959

* Thu Mar 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.942-3mdv2007.1
+ Revision: 130523
- fix #24641

  + Nicolas Lécureuil <neoclust@mandriva.org>
    -  Add BuildRequires

* Mon Aug 07 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.942-1mdv2007.0
+ Revision: 53978
- 0.942; remove obsolete URLs
- Import perl-PAR


* Fri Jun 02 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.94-1mdv2007.0
- 0.94

* Mon Mar 06 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.92-1mdk
- 0.92

* Wed Feb 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.91-1mdk
- 0.91

* Sun Nov 27 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.90-1mdk
- 0.90

* Mon Jun 13 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.89-1mdk
- 0.89
- Patch 0 : fix interpreter paths

* Tue Jun 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.88-1mdk
- 0.88
- Drop patches, committed upstream

* Thu May 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.87-2mdk
- Rebuild for new perl
- New URL
- Patch 0 : don't skip tests
- Patch 1 : compile with gcc 4

* Mon Jan 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.87-1mdk
- 0.87

* Mon Dec 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.86-1mdk
- New version

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.85-3mdk
- Rebuild for new perl

* Wed Jul 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.85-2mdk
- Rebuild for new perl

* Fri Jul 02 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.85-1mdk
- 0.85 ; fix Requires

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.83-1mdk
- 0.83

* Mon May 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.81-1mdk
- New version

* Fri May 21 2004 Florin <florin@mandrakesoft.com> 0.80-1mdk
- first Mandrake release
